<?php
/**
 * The template for displaying Comments.
 *
 * The area of the page that contains both current comments
 * and the comment form.  The actual display of comments is
 * handled by a callback to pilcrow_comment which is
 * located in the functions.php file.
 *
 * @package WordPress
 * @subpackage Pilcrow
 * @since Pilcrow 1.0
 */
?>

			<div id="comments">
<?php if ( post_password_required() ) : ?>
				<p class="nopassword"><?php _e( 'Эта запись защищена паролем. Введите пароль, чтобы просмотреть комментарии.', 'pilcrow' ); ?></p>
			</div><!-- #comments -->
<?php
		/* Stop the rest of comments.php from being processed,
		 * but don't kill the script entirely -- we still have
		 * to fully load the template.
		 */
		return;
	endif;
?>

<?php
	// You can start editing here -- including this comment!
?>

<?php if ( have_comments() ) : ?>
			<h3 id="comments-title" class="comment-head"><?php
			printf( _n( '1 комментарий к %2$s', '%1$s комментариев к %2$s', get_comments_number(), 'pilcrow' ),
			number_format_i18n( get_comments_number() ), '<em>' . get_the_title() . '</em>' );
			?></h3>

<?php if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) : // Are there comments to navigate through? ?>
			<div class="navigation">
				<div class="nav-previous"><?php previous_comments_link( __( '<span class="meta-nav">&larr;</span> Предыдущие комментарии', 'pilcrow' ) ); ?></div>
				<div class="nav-next"><?php next_comments_link( __( 'Следующие комментарии <span class="meta-nav">&rarr;</span>', 'pilcrow' ) ); ?></div>
			</div> <!-- .navigation -->
<?php endif; // check for comment navigation ?>

			<ol class="comment-list">
				<?php
					/* Loop through and list the comments. Tell wp_list_comments()
					 * to use pilcrow_comment() to format the comments.
					 * If you want to overload this in a child theme then you can
					 * define pilcrow_comment() and that will be used instead.
					 * See pilcrow_comment() in pilcrow/functions.php for more.
					 */
					wp_list_comments( array( 'callback' => 'pilcrow_comment' ) );
				?>
			</ol>

<?php if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) : // Are there comments to navigate through? ?>
			<div class="navigation">
				<div class="nav-previous"><?php previous_comments_link( __( '<span class="meta-nav">&larr;</span> Предыдущие комментарии', 'pilcrow' ) ); ?></div>
				<div class="nav-next"><?php next_comments_link( __( 'Следующие комментарии <span class="meta-nav">&rarr;</span>', 'pilcrow' ) ); ?></div>
			</div><!-- .navigation -->
<?php endif; // check for comment navigation ?>

<?php else : // or, if we don't have comments:

	/* If there are no comments and comments are closed,
	 * let's leave a little note, shall we?
	 */
	if ( ! comments_open() && ! is_page() ) :
?>
	<p class="nocomments"><?php _e( 'Комментарии закрыты.', 'pilcrow' ); ?></p>
<?php endif; // end ! comments_open() ?>

<?php endif; // end have_comments() ?>

<?php comment_form(); ?>

</div><!-- #comments -->
